Bug 1011206 - Cannot download recorded Hangout
Cannot download recorded Hangout
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
http://www.youtube.com/watch?v=pRb1zp...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 15:09 EDT by Matěj Cepl
Modified: 2013-09-25 14:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 14:00:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2013-09-23 15:09:55 EDT
Description of problem:
matej@wycliff: ~$ youtube-dl --verbose 'http://www.youtube.com/watch?v=pRb1zpCjoR8'
[debug] System config: ['--prefer-free-formats']
[debug] User config: []
[debug] Command-line args: ['--verbose', 'http://www.youtube.com/watch?v=pRb1zpCjoR8']
[debug] youtube-dl version 2013.09.20.1
[debug] Python version 2.7.5 - Linux-3.10.0-26.el7.x86_64-x86_64-with-redhat-7.0-Maipo
[debug] Proxy map: {}
[youtube] Setting language
[youtube] pRb1zpCjoR8: Downloading video webpage
[youtube] pRb1zpCjoR8: Downloading video info webpage
[youtube] pRb1zpCjoR8: Extracting video information
[download] Resuming download at byte 2097136


ERROR: Did not get any data blocks
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/bin/youtube-dl/__main__.py", line 18, in <module>
    youtube_dl.main()
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 671, in main
    _real_main(argv)
  File "/usr/bin/youtube-dl/youtube_dl/__init__.py", line 655, in _real_main
    retcode = ydl.download(all_urls)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 571, in download
    videos = self.extract_info(url)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 336, in extract_info
    return self.process_ie_result(ie_result, download=download)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 419, in process_ie_result
    for r in ie_result['entries']
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 366, in process_ie_result
    self.process_info(ie_result)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 546, in process_info
    success = self.fd._do_download(filename, info_dict)
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 548, in _do_download
    self.report_error(u'Did not get any data blocks')
  File "/usr/bin/youtube-dl/youtube_dl/FileDownloader.py", line 148, in report_error
    self.ydl.report_error(*args, **kargs)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 214, in report_error
    self.trouble(error_message, tb)
  File "/usr/bin/youtube-dl/youtube_dl/YoutubeDL.py", line 181, in trouble
    tb_data = traceback.format_list(traceback.extract_stack())

matej@wycliff: ~$ 

Version-Release number of selected component (if applicable):
youtube-dl-2013.09.20.1-1.el7.noarch
(my own build on EL7 with Python 2.7)

How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2013-09-23 17:01:20 EDT
Filed upstream as https://github.com/rg3/youtube-dl/issues/1489
Comment 2 Christopher Meng 2013-09-23 18:27:36 EDT
Thanks for reporting it upstream, but I doubt if they can solve it quickly, many issues filed by myself are still not assigned.
Comment 3 Christopher Meng 2013-09-25 10:02:32 EDT
Please try again with today's 09.24.2 update.
Comment 4 Matěj Cepl 2013-09-25 14:00:24 EDT
(In reply to Christopher Meng from comment #3)
> Please try again with today's 09.24.2 update.

Yes, it did help. Seems like fixed.

Note You need to log in before you can comment on or make changes to this bug.